Package org.eclipse.jface.text

# Interface ITextPresentationListener

All Known Implementing Classes:
  `AnnotationPainter`, `DefaultHyperlinkPresenter`, `MultipleHyperlinkPresenter`

public interface ITextPresentationListener
Text presentation listeners registered with an `ITextViewer` are informed when a `TextPresentation` is about to be applied to the text viewer. The listener can apply changes to the text presentation and thus participate in the process of text presentation creation.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`applyTextPresentation(TextPresentation textPresentation)`
This method is called when a text presentation is about to be applied to the text viewer.

## Method Details

### applyTextPresentation

void applyTextPresentation(TextPresentation textPresentation)
This method is called when a text presentation is about to be applied to the text viewer. The receiver is allowed to change the text presentation during that call.

Parameters:
  `textPresentation` - the current text presentation